# Couenne::CouenneSetup Class Reference

`#include <BonCouenneSetup.hpp>`

List of all members.

## Public Member Functions
| CouenneSetup ()
| Default constructor.
| CouenneSetup (const CouenneSetup &other)
| Copy constructor.
virtual Bonmin::BabSetupBase * | clone () const
| virtual copy constructor.
virtual | ~CouenneSetup ()
| destructor
bool | InitializeCouenne (char **argv=NULL, CouenneProblem *couenneProb=NULL, Ipopt::SmartPtr< Bonmin::TMINLP > tminlp=NULL, CouenneInterface *ci=NULL, Bonmin::Bab *bb=NULL)
| Initialize from command line arguments.
virtual void | registerOptions ()
| register the options
virtual void | readOptionsFile ()
| Get the basic options if don't already have them.
CouenneCutGenerator * | couennePtr () const
| return pointer to cut generator (used to get pointer to problem)
bool | displayStats ()
| true if one wants to display statistics at the end of program
void | addMilpCutGenerators ()
| add cut generators
void | setDoubleParameter (const DoubleParameter &p, const double val)
| modify parameter (used for MaxTime)
double | getDoubleParameter (const DoubleParameter &p) const
| modify parameter (used for MaxTime)
void | setNodeComparisonMethod (Bonmin::BabSetupBase::NodeComparison c)
## Static Public Member Functions
static void | registerAllOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions)
| Register all Couenne options.
## Private Attributes
Ipopt::SmartPtr< SmartAsl > | aslfg_
CouenneCutGenerator * | CouennePtr_
| hold a reference to Couenne cut generator to delete it at last.
bool | displayStats_
| true if one wants to display statistics at the end of program
CouenneProblem * | couenneProb_
| MINLP formulation.
bool | couenneProb_is_own_
| whether the couenneProb_ has been created by Couenne, and thus will be deleted by Couenne

## Detailed Description

Definition at line 43 of file BonCouenneSetup.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneSetup::CouenneSetup | ( |  | ) | `[inline]`

Default constructor.

Definition at line 46 of file BonCouenneSetup.hpp.

Referenced by clone().

Couenne::CouenneSetup::CouenneSetup | ( | const CouenneSetup & | other | ) | `[inline]`

Copy constructor.

Definition at line 55 of file BonCouenneSetup.hpp.

virtual Couenne::CouenneSetup::~CouenneSetup | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual Bonmin::BabSetupBase* Couenne::CouenneSetup::clone | ( |  | ) | const`[inline, virtual]`

virtual copy constructor.

Definition at line 62 of file BonCouenneSetup.hpp.

References CouenneSetup().

bool Couenne::CouenneSetup::InitializeCouenne | ( | char ** | argv = `NULL`,
|  | CouenneProblem * | couenneProb = `NULL`,
|  | Ipopt::SmartPtr< Bonmin::TMINLP > | tminlp = `NULL`,
|  | CouenneInterface * | ci = `NULL`,
|  | Bonmin::Bab * | bb = `NULL` |
| ) |  |  |

Initialize from command line arguments.

virtual void Couenne::CouenneSetup::registerOptions | ( |  | ) | `[virtual]`

register the options

static void Couenne::CouenneSetup::registerAllOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions | ) | `[static]`

Register all Couenne options.

virtual void Couenne::CouenneSetup::readOptionsFile | ( |  | ) | `[inline, virtual]`

Get the basic options if don't already have them.

Definition at line 81 of file BonCouenneSetup.hpp.

CouenneCutGenerator* Couenne::CouenneSetup::couennePtr | ( |  | ) | const`[inline]`

return pointer to cut generator (used to get pointer to problem)

Definition at line 87 of file BonCouenneSetup.hpp.

References CouennePtr_.

bool Couenne::CouenneSetup::displayStats | ( |  | ) | `[inline]`

true if one wants to display statistics at the end of program

Definition at line 91 of file BonCouenneSetup.hpp.

References displayStats_.

void Couenne::CouenneSetup::addMilpCutGenerators | ( |  | ) |

add cut generators

void Couenne::CouenneSetup::setDoubleParameter | ( | const DoubleParameter & | p,
|  | const double | val |
| ) |  |  | `[inline]`

modify parameter (used for MaxTime)

Definition at line 98 of file BonCouenneSetup.hpp.

double Couenne::CouenneSetup::getDoubleParameter | ( | const DoubleParameter & | p | ) | const`[inline]`

modify parameter (used for MaxTime)

Definition at line 102 of file BonCouenneSetup.hpp.

void Couenne::CouenneSetup::setNodeComparisonMethod | ( | Bonmin::BabSetupBase::NodeComparison | c | ) | `[inline]`

Definition at line 105 of file BonCouenneSetup.hpp.

## Member Data Documentation

Ipopt::SmartPtr<SmartAsl> Couenne::CouenneSetup::aslfg_`[private]`

Definition at line 109 of file BonCouenneSetup.hpp.

CouenneCutGenerator* Couenne::CouenneSetup::CouennePtr_`[private]`

hold a reference to Couenne cut generator to delete it at last.

The alternative would be to clone it every time the CouenneSolverInterface is cloned (that is, at each call of Optimality-based bound tightening).

Definition at line 115 of file BonCouenneSetup.hpp.

Referenced by couennePtr().

bool Couenne::CouenneSetup::displayStats_`[private]`

true if one wants to display statistics at the end of program

Definition at line 118 of file BonCouenneSetup.hpp.

Referenced by displayStats().

CouenneProblem* Couenne::CouenneSetup::couenneProb_`[private]`

MINLP formulation.

Definition at line 121 of file BonCouenneSetup.hpp.

bool Couenne::CouenneSetup::couenneProb_is_own_`[private]`

whether the couenneProb_ has been created by Couenne, and thus will be deleted by Couenne

Definition at line 124 of file BonCouenneSetup.hpp.

The documentation for this class was generated from the following file:

- BonCouenneSetup.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines